db-torque-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Thomas Fox <Thomas....@seitenbau.net>
Subject Re: Build failed in Jenkins: Torque4-trunk » Torque Runtime #237
Date Mon, 09 Jul 2012 07:53:50 GMT
Thomas Fox wrote.
> Thomas Vandahl wrote:
> > On 06.07.12 09:48, Apache Jenkins Server wrote:
> > > [INFO] Compilation failure
> > >
> > > <https://builds.apache.org/job/Torque4-trunk/org.apache.torque
> >
$torque-runtime/ws/src/main/java/org/apache/torque/Torque.java>:[197,39]
> > type parameters of <T>T cannot be determined; no unique maximal
instance
> > exists for type variable T
> > with upper bounds T,org.apache.torque.manager.AbstractBaseManager<?
> > extends org.apache.torque.om.Persistent>
> >
> > This works fine here with Apple JDK 1.6 in 1.5 mode. Any idea why this
> > goes wrong on Jenkins?
>
> It seems this is a bug in the jdk 1.5 compiler (we build on jenkins with
> the latest 1.5 jdk)
>
>
http://stackoverflow.com/questions/314572/bug-in-eclipse-compiler-or-in-javac

>
> which references
>
> http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=6302954
>
> To check this, I'll configure jenkins to use the latest 1.6 jdk for
> compilations and see whether it compiles.

We now have the following jdk settings on jenkins:
- compilation on jdk 1.6 latest
- test project runs on 1.5 latest

The trunk now compiles and the derby test project runs ok. The hsqldb (with
beans and managers) test fails because it cannot find the torque maven
plugin (this was the case before on ubuntu1), I need to configure hudson to
use nexus then I hope this problem will go away.

Personally I think it is ok to compile on jdk 1.6 if we make sure through
the test project that we are still 1.5 compatible. What do you think ?

     Thomas


---------------------------------------------------------------------
To unsubscribe, e-mail: torque-dev-unsubscribe@db.apache.org
For additional commands, e-mail: torque-dev-help@db.apache.org


Mime
View raw message